
const PydioApi = require('pydio/http/api');
const PydioDataMode = require('pydio/model/data-model')
const pydio = global.pydio;

const Callbacks = {

    downloadFolder: function(){
        const userSelection = pydio.getUserSelection();
        const folderNode = userSelection.getUniqueNode();
        const parentPath = folderNode.getParent().getPath();
        const basename = folderNode.getLabel();
        const newNode = new AjxpNode(parentPath + "/" + basename + ".zip", true);
        var newSelection = new PydioDataMode();
        newSelection.setSelectedNodes([newNode]);
        PydioApi.getClient().downloadSelection(newSelection, 'download');
    }

};

const actions = {
    Callbacks: Callbacks
};

export {actions as default}